Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-SU-2015:0123-1: moderate: Security update for elfutils
openSUSE Security Update: Security update for elfutils
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0123-1
Rating: moderate
References: #911662
Cross-References: CVE-2014-9447
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


elfutils was updated to fix a directory traversal vulnerability
(bnc#911662 CVE-2014-9447)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-59

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-59

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

elfutils-0.158-4.5.1
elfutils-debuginfo-0.158-4.5.1
elfutils-debugsource-0.158-4.5.1
libasm-devel-0.158-4.5.1
libasm1-0.158-4.5.1
libasm1-debuginfo-0.158-4.5.1
libdw-devel-0.158-4.5.1
libdw1-0.158-4.5.1
libdw1-debuginfo-0.158-4.5.1
libebl-devel-0.158-4.5.1
libebl1-0.158-4.5.1
libebl1-debuginfo-0.158-4.5.1
libelf-devel-0.158-4.5.1
libelf1-0.158-4.5.1
libelf1-debuginfo-0.158-4.5.1

- openSUSE 13.2 (x86_64):

libasm1-32bit-0.158-4.5.1
libasm1-debuginfo-32bit-0.158-4.5.1
libdw1-32bit-0.158-4.5.1
libdw1-debuginfo-32bit-0.158-4.5.1
libebl1-32bit-0.158-4.5.1
libebl1-debuginfo-32bit-0.158-4.5.1
libelf-devel-32bit-0.158-4.5.1
libelf1-32bit-0.158-4.5.1
libelf1-debuginfo-32bit-0.158-4.5.1

- openSUSE 13.1 (i586 x86_64):

elfutils-0.155-6.8.1
elfutils-debuginfo-0.155-6.8.1
elfutils-debugsource-0.155-6.8.1
libasm-devel-0.155-6.8.1
libasm1-0.155-6.8.1
libasm1-debuginfo-0.155-6.8.1
libdw-devel-0.155-6.8.1
libdw1-0.155-6.8.1
libdw1-debuginfo-0.155-6.8.1
libebl-devel-0.155-6.8.1
libebl1-0.155-6.8.1
libebl1-debuginfo-0.155-6.8.1
libelf-devel-0.155-6.8.1
libelf1-0.155-6.8.1
libelf1-debuginfo-0.155-6.8.1

- openSUSE 13.1 (x86_64):

libasm1-32bit-0.155-6.8.1
libasm1-debuginfo-32bit-0.155-6.8.1
libdw1-32bit-0.155-6.8.1
libdw1-debuginfo-32bit-0.155-6.8.1
libebl1-32bit-0.155-6.8.1
libebl1-debuginfo-32bit-0.155-6.8.1
libelf-devel-32bit-0.155-6.8.1
libelf1-32bit-0.155-6.8.1
libelf1-debuginfo-32bit-0.155-6.8.1


References:

http://support.novell.com/security/cve/CVE-2014-9447.html
https://bugzilla.suse.com/show_bug.cgi?id=911662


< Previous Next >
This Thread
  • No further messages